| Face Engine SDK 5.34.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IDutyUniformEstimator Struct Referenceabstract
Estimators

DutyUniformEstimator estimator interface. The estimator determines if the person wears shoulder straps. More...

`#include <IDutyUniformEstimator.h>`

Inheritance diagram for fsdk::IDutyUniformEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, DutyUniformEstimation &estimation) const noexcept=0
| Estimate if there are shoulder straps on the person. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< DutyUniformEstimation > estimations) const noexcept=0
| Estimate if there are shoulder straps in multiple frames in a single call. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Detection > detections, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

DutyUniformEstimator estimator interface. The estimator determines if the person wears shoulder straps.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::IDutyUniformEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | DutyUniformEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate if there are shoulder straps on the person.

Parameters

  [in] | image | source image
  [in] | detection | detection coordinates in image space
  [out] | estimation | estimation result.

Returns
  Result with error code.

See also
  DutyUniformEstimation, Image, Detection, Result and FSDKError for details.

Note
  image format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IDutyUniformEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< DutyUniformEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimate if there are shoulder straps in multiple frames in a single call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | estimations | span of estimation results.

Returns
  Result with error code.

See also
  DutyUniformEstimation, Span, Image, Detection, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IDutyUniformEstimator::validate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Detection, Result, FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IDutyUniformEstimator.h